options(warn=-1)
library("klaR")
library("caret")
library("rpart")
setwd("D://")
library("readxl")
ExcelImportar <- read_excel("C:/Users/WsupernaturalW/Desktop/Ejercicio 4.xlsx", range = "B1:I26", col_types = c("text","text","numeric","numeric","text","text","text","text"))
x=ExcelImportar[,-8]
y <- as.factor(ExcelImportar$`Ofrece Seguro`)
View(x)
View(y)
library(e1071)
model = train(x,y,'nb',trControl=trainControl(method='cv',number=10))
model
table(predict(model$finalModel,x)$class,y)